:root {
    /* COLORS –––––––––––––––––––––––––––––––––––––– */
    /*    Color HEX variables set in Advance Themer*/
    /* LABEL*/
    --label-color: var(--dark);
    --label-color-l: var(--light);
    --label-color-d: var(--dark);

    /* BORDERS INPUT –––––––––––––––––––––––––––––––––––––– */
    /* DARK FORM - STANDARD*/
    --border-d: rgba(34,50,49,.5);
    --border-d-hover:rgba(34,50,49,1);
    --border-d-focus: rgba(34,50,49,1);

    /* LIGHT FORM */
    --border-l: rgba(255,255,255,.5);
    --border-l-hover: rgba(255,255,255,1);
    --border-l-focus: rgba(255,255,255,1);

}

/* FORM –––––––––––––––––––––––––––––––––––––––––––––––– */


body.bricks-is-frontend :focus{
    outline:none!important;
}
.gform_wrapper form {
    padding: 0;
}

.gform_wrapper.gravity-theme .gform_fields {
    row-gap: var(--flex-gap) !important;
}

/* DESCRIPTION –––––––––––––––––––––––––––––––––––––––––––––––– */
.gform_heading{}

/* LABEL –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form label,
.gform_wrapper.gravity-theme .gfield_label {
    color: var(--label-color)!important;
    font-size: var(--label-font) !important;
    font-weight: var(--weight-input) !important;
    line-height: 1.5 !important;
    margin-bottom: 0 !important;
}

.e-form--light label,
.e-form--light .gform_wrapper.gravity-theme .gfield_label {
    color: var(--label-color-l);
}

/*CUSTOM LABEL*/
.e-form .gform_wrapper.gravity-theme .gfield{
    position: relative;
}
.e-form label{
    background:var(--light);
    padding:0 10px 0 4px!important;
    position:absolute;
    top:-8px;
}
.e-form:is(.e-form--light) label{
    background:var(--dark);
}
/*PLACEHOLDER –––––––––––––––––––––––––––––––––––––––––––––––– */
/* do not group these rules */
*::-webkit-input-placeholder {
    color: var(--neutral)!important;
}
*:-moz-placeholder {
    /* FF 4-18 */
    color: var(--neutral)!important;
    opacity: 1;
}
*::-moz-placeholder {
    /* FF 19+ */
    color: var(--neutral)!important;
    opacity: 1;
}
*:-ms-input-placeholder {
    /* IE 10+ */
    color: var(--neutral)!important;
}
*::-ms-input-placeholder {
    /* Microsoft Edge */
    color: var(--neutral)!important;
}
*::placeholder {
    /* modern browser */
    color: var(--neutral)!important;
}

/* REQUIRED –––––––––––––––––––––––––––––––––––––––––––––––– */
.gform_wrapper.gravity-theme .gfield_required,
.gform_wrapper.gravity-theme .gfield_required .gfield_required_custom,
.gform_wrapper.gravity-theme .gfield_required .gfield_required_text {
    color: var(--core-error) !important;
    font-style: none;
    font-size:;
    text-transform: capitalize;
}



/* INPUT –––––––––––––––––––––––––––––––––––––––––––––––– */
input:not(.wpgb-input),
select,
textarea,
.e-form form input[type=color],
.e-form form input[type=date],
.e-form form input[type=datetime-local],
.e-form form input[type=datetime],
.e-form form input[type=email],
.e-form form input[type=month],
.e-form form input[type=number],
.e-form form input[type=password],
.e-form form input[type=search],
.e-form form input[type=tel],
.e-form form input[type=text],
.e-form form input[type=time],
.e-form form input[type=url],
.e-form form input[type=week],
.e-form form select,
.e-form form textarea {
    background: transparent;
    border-radius: var(--radius-input);
    border-style: solid;
    border-width: var(--border-input);
    border-color: var(--border-d);
    color: var(--neutral);
    font-size: var(--body-font) !important;
    font-weight:var(--weight-input);
    line-height: 1.1!important;
    outline: none;
    transition-timing-function: var(--animation-type-out);
    transition: var(--animation-button-out);
}
input:not(.wpgb-input):not([type=tel]):not([type="checkbox"]),
select,
textarea,
.e-form form input[type=color],
.e-form form input[type=date],
.e-form form input[type=datetime-local],
.e-form form input[type=datetime],
.e-form form input[type=email],
.e-form form input[type=month],
.e-form form input[type=number],
.e-form form input[type=password],
.e-form form input[type=search],
.e-form form input[type=text],
.e-form form input[type=tel],
.e-form form input[type=time],
.e-form form input[type=url],
.e-form form input[type=week],
.e-form form select,
.e-form form textarea {
    padding: var(--input-md-y) var(--input-md-x)!important; 
}

input[type=button]{
    cursor: pointer;
}

.e-form form form:hover,
.e-form form label:hover,
label:hover,
.e-form form input:hover,
input:hover,
.e-form form select:hover,
select:hover,
.e-form form textarea:hover,
textarea:hover {
    border-color: var(--border-d-hover);
    transition-timing-function: var(--animation-type-in);
    transition: var(--animation-button-in);
}

.e-form form form:focus,
form:focus,
.e-form form label:focus,
label:focus,
.e-form form input:focus,
input:focus,
.e-form form select:focus,
select:focus,
.e-form form textarea:focus,
textarea:focus {
    border-color: var(--border-d-focus);
    color:var(--dark);
}

.e-form--light select,
.e-form--light textarea,
.e-form--light form input[type=color],
.e-form--light form input[type=date],
.e-form--light form input[type=datetime-local],
.e-form--light form input[type=datetime],
.e-form--light form input[type=email],
.e-form--light form input[type=month],
.e-form--light form input[type=number],
.e-form--light form input[type=password],
.e-form--light form input[type=search],
.e-form--light form input[type=tel],
.e-form--light form input[type=text],
.e-form--light form input[type=time],
.e-form--light form input[type=url],
.e-form--light form input[type=week],
.e-form--light form select,
.e-form--light form textarea {
    border: var(--border-input);
    border-color: var(--border-l);
    color: var(--light) !important;
}

.e-form--light form label:hover,
.e-form--light form input:hover,
.e-form--light form select:hover,
.e-form--light form textarea:hover {
    border-color: var(--border-l-hover) !important;
}


.e-form--light form label:focus,
.e-form--light form input:focus:not(input[type="submit"]),
.e-form--light form select:focus,
.e-form--light form textarea:focus {
    border-color: var(--border-l-focus) !important;
}

/* FIELDSET –––––––––––––––––––––––––––––––––––––––––––––––– */
fieldset {
    border: none !important;
    margin-top: var(--margin-2);
    padding: var(--padding-unit) 0 0 !important;
}

fieldset legend {
    font-size: 24px;
    font-weight: 500;
    padding: var(--padding-1) 0 var(--padding-unit);
}

/* CHECKBOX –––––––––––––––––––––––––––––––––––––––––––––––– */
input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    appearance: none;
    cursor: pointer;
    height:26px;
    outline: none;
    border-radius: 0!important;
    background-size:12px;
    background-repeat: no-repeat;
    background-position: center;
    width:26px;
}
input[type="checkbox"]:hover{
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10.799' height='7.225' viewBox='0 0 10.799 7.225'%3E%3Cpath d='M3.834,6.725a1.425,1.425,0,0,1-1.014-.42L-.219,3.266A.958.958,0,0,1,.458,1.632a.951.951,0,0,1,.677.28l2.7,2.7L8.665-.219A.958.958,0,0,1,10.3.458a.951.951,0,0,1-.28.677l-5.17,5.17A1.425,1.425,0,0,1,3.834,6.725Z' transform='translate(0.5 0.499)' fill='%230a0a0a'/%3E%3C/svg%3E");
} 
.e-form--light input[type="checkbox"]:hover {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10.799' height='7.225' viewBox='0 0 10.799 7.225'%3E%3Cpath d='M3.834,6.725a1.425,1.425,0,0,1-1.014-.42L-.219,3.266A.958.958,0,0,1,.458,1.632a.951.951,0,0,1,.677.28l2.7,2.7L8.665-.219A.958.958,0,0,1,10.3.458a.951.951,0,0,1-.28.677l-5.17,5.17A1.425,1.425,0,0,1,3.834,6.725Z' transform='translate(0.5 0.499)' fill='%23ffffff'/%3E%3C/svg%3E");
}
input[type="checkbox"]:checked {
    background-color: var(--border-d-focus);
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10.799' height='7.225' viewBox='0 0 10.799 7.225'%3E%3Cpath d='M3.834,6.725a1.425,1.425,0,0,1-1.014-.42L-.219,3.266A.958.958,0,0,1,.458,1.632a.951.951,0,0,1,.677.28l2.7,2.7L8.665-.219A.958.958,0,0,1,10.3.458a.951.951,0,0,1-.28.677l-5.17,5.17A1.425,1.425,0,0,1,3.834,6.725Z' transform='translate(0.5 0.499)' fill='%23ffffff'/%3E%3C/svg%3E");
}

.e-form--light input[type="checkbox"]:checked {
    background-color: var(--border-l-focus);
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10.799' height='7.225' viewBox='0 0 10.799 7.225'%3E%3Cpath d='M3.834,6.725a1.425,1.425,0,0,1-1.014-.42L-.219,3.266A.958.958,0,0,1,.458,1.632a.951.951,0,0,1,.677.28l2.7,2.7L8.665-.219A.958.958,0,0,1,10.3.458a.951.951,0,0,1-.28.677l-5.17,5.17A1.425,1.425,0,0,1,3.834,6.725Z' transform='translate(0.5 0.499)' fill='%230a0a0a'/%3E%3C/svg%3E");
}

/* CONSENT CHECKBOX –––––––––––––––––––––––––––––––––––––––––––––––– */
.ginput_container_consent {
    display: flex!important;
    align-items: center;
}

.ginput_container_consent .gfield_consent_label {
    font-weight: 400 !important;
    margin: auto 8px;
    padding: 0 4px;
    text-transform: inherit!important;
}
.ginput_container_consent .gfield_consent_label {color:var(--dark);}
.e-form--light .ginput_container_consent .gfield_consent_label {color:var(--light);}

/* MULTI SELECT –––––––––––––––––––––––––––––––––––––––––––––––– */
.gchoice {
    margin-bottom: 8px;
}

.gchoice label {
    margin: auto;
    padding: 0 8px;
}


/* RADIO –––––––––––––––––––––––––––––––––––––––––––––––– */

/* DROPDOWN –––––––––––––––––––––––––––––––––––––––––––––––– */

/* DATE –––––––––––––––––––––––––––––––––––––––––––––––– */
.gravity-theme.ui-datepicker table{}
.gravity-theme.ui-datepicker .ui-datepicker-header select{
    padding:0 30px 0 0!important;
}
.gravity-theme.ui-datepicker table th *,
.gravity-theme.ui-datepicker table td *{
    font-size: var(--body-font)!important;
}
.e-form .ginput_container_date input {
    width: 100%;
}

/* CTA –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form .gform_wrapper.gravity-theme .gform_page_footer,
.e-form .gform_footer{
    justify-content: center!important;
    text-align: center!important;
}

.e-form .gform_wrapper.gravity-theme .gform_button.button, 
.e-form .gform_wrapper.gravity-theme .gform_previous_button.button, 
.e-form .gform_wrapper.gravity-theme .gform_save_link.button,
.e-form .gform_wrapper.gravity-theme .gform_page_footer input+input,
.e-form .gform_wrapper.gravity-theme .gform_page_footer input{
    border-radius: var(--radius-button);
    border: 0;
    border-width: var(--border-button);
    border-style: solid;
    cursor: pointer;
    font-family: var(--link-font-family);
    font-weight: var(--weight-link);
    line-height: 1.3;
    padding: var(--button-md-y) var(--button-md-x) !important;
    transition: var(--animation-button-out);
    transition-timing-function: var(--animation-type-out);
}

/*SUBMIT –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form .gform_wrapper.gravity-theme .gform_button.button, 
.e-form form input[type="submit"] {
    background:var(--dark);
    border: none;
    color:var(--light);
    margin-bottom: 0 !important;
    text-align: center;
    width:fit-content;
}
.e-form--light .gform_wrapper.gravity-theme .gform_button.button,
.e-form--light form input[type="submit"] {
    background: var(--light);
    color: var(--dark);
}

.gform_wrapper.gravity-theme .gform_button.button:hover,
form input[type="submit"]:hover {
    transition: var(--animation-button-in);
    transition-timing-function: var(--animation-type-in);
}
.gform_wrapper.gravity-theme .gform_button.button:hover,
form input[type="submit"]:hover {
    background: var(--dark-l);
}
.e-form--light .gform_wrapper.gravity-theme .gform_button.button:hover,
.e-form--light form input[type="submit"]:hover {
    background: var(--neutral-l);
}

/*PREVIOUS STEP –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form .gform_next_button{
    border-color:var(--light-d)!important;
}
.e-form .gform_next_button:hover{
    background:var(--light-d)!important;
    color:var(--dark)!important;
}

/*NEXT STEP –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form .gform_last_page_button:hover{
    background: var(--dark)!important;
    border-color: var(--dark)!important;
    color:var(--light)!important;
}


/* SECTION  –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form .gform_wrapper.gravity-theme .gsection {
    border-bottom: 0;
    border-top: var(--border-unit) solid var(--border-d);
    margin-bottom: calc(var(--margin-2) / 2);
    margin-top: var(--margin-2);
    padding: var(--padding-1) 0 0;
}

.e-form .gform_wrapper.gravity-theme .gsection h3 {
    margin-bottom: 0;
}

.e-form .e-form--light .gform_wrapper.gravity-theme .gsection {
    border-color: var(--border-l);
}

/* MESSAGE –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form .gform_wrapper .gform_validation_errors {
    background: var(--core-error-l)!important;
    border-color: var(--core-error)!important;
    border-radius: var(--radius-msg)!important;
    box-shadow: none!important;
    color: var(--core-error)!important;
    font-size: var(--label-font)!important;
    margin:0!important;
    padding: var(--padding-unit)!important;
}

.e-form .gform_wrapper .gform_validation_errors > h2,
.e-form .gform_wrapper.gravity-theme .gform_validation_errors>ol li,
.e-form .gform_wrapper.gravity-theme .gform_validation_errors>ol a{
    color: var(--core-error)!important;
}

.gform_wrapper.gravity-theme .gform_validation_errors>ol{
    margin:0;
}

.e-form .gform_wrapper.gravity-theme .description,
.e-form .gform_wrapper.gravity-theme .gfield_description,
.e-form .gform_wrapper.gravity-theme .gsection_description,
.e-form .gform_wrapper.gravity-theme .instruction {
    margin-top: -1px;
}

/* VALIDATION –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form .gform_wrapper .gfield_validation_message,
.e-form .gform_wrapper .validation_message {
    background: var(--core-error-l)!important;
    border-color: var(--core-error)!important;
    border-radius: var(--radius-msg)!important;
    color: var(--core-error)!important;
    font-size: var(--label-font)!important;
    padding: var(--padding-unit)!important;
}


/*PASSWORD –––––––––––––––––––––––––––––––––––––––––––––––– */
/*STRONG*/
.gform_wrapper.gravity-theme .gfield_password_strength.strong,
.gform_wrapper.gravity-theme .gfield_password_strength.mismatch, .gform_wrapper.gravity-theme .gfield_password_strength.short{
    border-bottom: solid var(--border-input)!important;
    border-radius: var(--radius-input);
    border-style: solid;
    border-width: var(--border-input);
    font-weight: var(--headline-weight);
    line-height: 1.5;
    padding: var(--input-md-y) var(--input-md-x) !important;
}
.gform_wrapper.gravity-theme .gfield_password_strength.strong{
    background-color: var(--core-success)!important;
    border-color: var(--core-success-d)!important;
    color: var(--core-success-body);
}
/*WEAK*/
.gform_wrapper.gravity-theme .gfield_password_strength.mismatch, .gform_wrapper.gravity-theme .gfield_password_strength.short{
    background-color: var(--core-error)!important;
    border-color: var(--core-error-d)!important;
    color: var(--core-error-body);
}

@media (max-width: 767px) {
    input,
    select,
    textarea,
    .e-form form input[type=color],
    .e-form form input[type=date],
    .e-form form input[type=datetime-local],
    .e-form form input[type=datetime],
    .e-form form input[type=email],
    .e-form form input[type=month],
    .e-form form input[type=number],
    .e-form form input[type=password],
    .e-form form input[type=search],
    .e-form form input[type=tel],
    .e-form form input[type=text],
    .e-form form input[type=time],
    .e-form form input[type=url],
    .e-form form input[type=week],
    .e-form form select,
    .e-form form textarea {
        padding: var(--input-md-y) var(--input-md-x) !important;
    }
    .e-form form input[type="submit"] {
        text-align: center;
        width: 100%;
    }
}

/*MULTI STEPS NAVIGATION –––––––––––––––––––––––––––––––––––––––––––––––– */
.e-form .gf_page_steps {
    display: flex;
    justify-content: space-between;
    position: relative;
}

/*Process line*/
.e-form .gf_page_steps:after {
    background: var(--light-d);
    content: '';
    height: 2px;
    position: absolute;
    left: 0;
    top: 50%;
    width: 100%;
    z-index: 1;
}

/*Step*/
.e-form .gf_step {
    background: var(--light);
    display: flex;
    flex-direction: column;
    margin: 0 !important;
    padding: var(--padding-1);
    z-index: 2;
}

.e-form .gf_step:first-of-type {
    padding-left: 0;
}

.e-form .gf_step:last-of-type {
    padding-right: 0;
}

/*Active Step*/
.e-form .gf_step.gf_step_active {}

.gform_wrapper.gravity-theme .gf_step_number {
    border-color: var(--primary) !important;
}

.gform_wrapper.gravity-theme .gf_step_active .gf_step_number {
    background: var(--primary) !important;
}

/*Confirmed Step*/
.e-form .gform_wrapper.gravity-theme .gf_step_completed .gf_step_number:before {
    background: var(--primary-d);
    border-color: var(--primary-d);
}